///////////////////////////////////////////////////////////////////////////////
// File    : utils.h
// Content : os dependent utility functions
// History : 05-Jul-2006 - [rb] creation
//           19-Oct-2007 - [rb] added CeCIIL licence, prepared distro
///////////////////////////////////////////////////////////////////////////////

/* licence ********************************************************************
Copyright Renaud Blanch [http://iihm.imag.fr/blanch/]

This software is a computer program whose purpose is to explore new interaction
techniques for zoomable treemaps.

This software is governed by the CeCILL license under French law and abiding by 
the rules of distribution of free software. You can  use, modify and/ or 
redistribute the software under the terms of the CeCILL license as circulated  
at the following URL [http://www.cecill.info]. 

As a counterpart to the access to the source code and  rights to copy, modify 
and redistribute granted by the license, users are provided only with a limited 
warranty  and the software's author,  the holder of the economic rights,  and 
the successive licensors  have only limited liability. 

The fact that you are presently reading this means that you have had knowledge 
of the CeCILL license and that you accept its terms.
******************************************************************************/

#if !defined(UTILS_H)
#define UTILS_H


/* open via shell script *****************************************************/

// This function executes a shell script in a separate process to open 
// the specified node.
// It should be adapted for non-unix like systems.

void open(const char *command, const char *path);


/* make the application front most *******************************************/

// This function to switch back to the app directly when it is used to launch 
// other processes.

void bring_front();


#endif // !defined(UTILS_H)